// fonction utilisée dans acceuilProfil.js
// Elle fait correspondre la note obtenue par les profils avec un  nombre d'icônes "euros"
// Exemple: si Marc a une note de 2 (définie dans la base de données json) alors cette fonction va permettre de créer deux icônes euros
function zoneSpan(x){
  var msg = "";
  var i =0;
  while(i<x){
    msg = msg + '<i class="fa fa-eur"></i>';
    i++;
  }
  return msg;
}


// Si l'utilisateur scrolle la page de plus de 50pixels on ajoute une classe à la balise nav pour qu'elle puisse changer de couleur et de hauteur
$(window).scroll(function() {
  if ($(document).scrollTop() > 50) {
    $('nav').addClass('shrink');
  } else {
    $('nav').removeClass('shrink');
  }
});


// On réalise un tirage aléatoire. L'utilisateur a une chance sur deux de se faire zapper par le système.
// On récupère le nombre entier tiré aléatoirement pour nous en servir dans le fichier "zapProfil.js"
// En effet, dans ce fichier, si le tirage tombe sur "1" alors on ajoutera la classe ".zapping2" qui permettra de faire afficher le message annonçant à l'utilisateur qu'il s'est fait zappé lorsqu'il fera un hover sur la classe ".prof" et on ajoutera aussi l'attribut onmouseOver qui permet de déclencher le son du zap au div contenant la classe ".prof"
function zapAleatoire()
{
   var nombre = Math.floor(Math.random() * 2) + 1;
    return nombre;
}
